smrdownstate Struct Reference
Short Message Service (SMS)

## Data Fields

uint32_t | states
int | type
const char * | name
int(* | rout )(struct gsm411_smr_inst *inst, struct msgb *msg)

## Field Documentation

## name

const char* smrdownstate::name

Referenced by gsm411_smr_send().

## rout

int(* smrdownstate::rout) (struct gsm411_smr_inst *inst, struct msgb *msg)

Referenced by gsm411_smr_send().

## states

uint32_t smrdownstate::states

Referenced by gsm411_smr_send().

## type

int smrdownstate::type

The documentation for this struct was generated from the following file:

- src/gsm/gsm0411_smr.c